Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Class Graph.CloneTargetAction<T>

    java.lang.Object
      org.modeshape.graph.Graph.AbstractAction<T>
          org.modeshape.graph.Graph.CloneTargetAction<T>

All Implemented Interfaces:
  Graph.Conjunction<T>, Graph.Into<Graph.WithUuids<T>>

Enclosing class:
  Graph

    @NotThreadSafe
    public abstract class Graph.CloneTargetAction<T>

extends Graph.AbstractAction<T>
implements Graph.Into<Graph.WithUuids<T>>

Field Summary
`protected Graph.CloneAction<T>` | `source`

Method Summary
`Graph.WithUuids<T>` | `into(Location into)` Finish the request by specifying the location of the parent into which the node should be copied/moved.
`Graph.WithUuids<T>` | `into(Path into)` Finish the request by specifying the location of the parent into which the node should be copied/moved.
`Graph.WithUuids<T>` | `into(Property into)` Finish the request by specifying the location of the parent into which the node should be copied/moved.
`Graph.WithUuids<T>` | `into(Property firstIdProperty, Property... additionalIdProperties)` Finish the request by specifying the location of the parent into which the node should be copied/moved.
`Graph.WithUuids<T>` | `into(String into)` Finish the request by specifying the location of the parent into which the node should be copied/moved.
`Graph.WithUuids<T>` | `into(UUID into)` Finish the request by specifying the location of the parent into which the node should be copied/moved.
`protected abstract T` | `submit(Location into, boolean removeExisting)`

Methods inherited from class org.modeshape.graph.Graph.AbstractAction
`and`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    protected final Graph.CloneAction<T> source

Method Detail

### submit

    protected abstract T submit(Location into,
                                boolean removeExisting)

### into

    public Graph.WithUuids<T> into(Location into)

  Description copied from interface: `Graph.Into`
  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index). If you want to control the name of the node for the newly copied/moved node, use `Graph.To.to(Location)` instead.

  Specified by:
    `into` in interface `Graph.Into<Graph.WithUuids<T>>`
  Parameters:
    `into` - the location of the new parent
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(Location)`

### into

    public Graph.WithUuids<T> into(Path into)

  Description copied from interface: `Graph.Into`
  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index). If you want to control the name of the node for the newly copied/moved node, use `Graph.To.to(Path)` instead.

  Specified by:
    `into` in interface `Graph.Into<Graph.WithUuids<T>>`
  Parameters:
    `into` - the path of the new parent
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(Path)`

### into

    public Graph.WithUuids<T> into(UUID into)

  Description copied from interface: `Graph.Into`
  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index).

  Specified by:
    `into` in interface `Graph.Into<Graph.WithUuids<T>>`
  Parameters:
    `into` - the UUID of the new parent
  Returns:
    the interface for additional requests or actions

### into

    public Graph.WithUuids<T> into(Property firstIdProperty,
                                   Property... additionalIdProperties)

  Description copied from interface: `Graph.Into`
  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index).

  Specified by:
    `into` in interface `Graph.Into<Graph.WithUuids<T>>`
  Parameters:
    `firstIdProperty` - the first property that, with the `additionalIdProperties`, uniquely identifies the new parent
    `additionalIdProperties` - the additional properties that, with the `additionalIdProperties`, uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions

### into

    public Graph.WithUuids<T> into(Property into)

  Description copied from interface: `Graph.Into`
  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index).

  Specified by:
    `into` in interface `Graph.Into<Graph.WithUuids<T>>`
  Parameters:
    `into` - the property that uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions

### into

    public Graph.WithUuids<T> into(String into)

  Description copied from interface: `Graph.Into`
  Finish the request by specifying the location of the parent into which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index). If you want to control the name of the node for the newly copied/moved node, use `Graph.To.to(String)` instead.

  Specified by:
    `into` in interface `Graph.Into<Graph.WithUuids<T>>`
  Parameters:
    `into` - the path of the new parent
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.